<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

//
// component: com_axiswebcam
// author:    Johannes Zweng <john@zweng.at>
// license:   GPL-2 (see LICENSE file for details)
// webpage:   http://www.johannes.zweng.at/
//



//////////////////////////////////////////////////////////
//
// Configuration file for the Axis Webcam Component
//
//////////////////////////////////////////////////////////

// full website URL
// Enter here the full URL to your Joomla! webpage
// TODO: (how do I get this from joomla?)
$website_url = 'http://www.your_domain_here.com/';


// the IP-address or host, where the camera is to find.
// This would be either the address of the camera itself
// or the address of the router if you use portforwarding
// to reach a webcam in your internal network.
$camera_ip = '111.222.333.444';

// The port, where the camera is to reach
// This will be port 80 or something else if the camera
// sits behind a port-forwarding router (check your router's settings)
$camera_port = 80;

// jpeg compression from 0 to 100 (0 means no compression which
// means best quality but highest bandwith usage, 100 means maximum
// compression, which means lower quality, but also lower bandwith usage)
$compression = 10;


// if set to true, the picture will be 640x480, if set
// to false it will be 320x240
$big_picture = true;

// if set to true, debug messages will be printed 
// on the webpage. Use it if you have problems for some reason..
$axis_debug = false;



// -------------------------------------------------------
// -------------------------------------------------------
// -------------------------------------------------------



debug_me("finished reading configuration. camera address = '$camera_ip'");




if ($big_picture) {
	$width = 640;
	$height = 480;
} else {
	$width = 320;
	$height = 240;
}


// debug_axis
// If $axis_debug is set to true, this function prints
// the given message out to the generated webpage.
function debug_me($debug_string) {
	global $axis_debug;
	if ($axis_debug) {
		echo "<br>DEBUG: $debug_string<br>\n";
	}
}


?>
